// 自动生成模板ProblemInfo
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"time"
)

// ProblemInfo 结构体
// 如果含有time.Time 请自行import time包
type ProblemInfo struct {
	global.GVA_MODEL
	HandAt     time.Time   // 处理时间
	Oper       uint        `json:"oper" form:"oper" gorm:"column:oper;comment:发布人;type:bigint"`
	Handler    *int        `json:"handler" form:"handler" gorm:"column:handler;comment:处理人;type:bigint"`
	Imgs       string      `json:"imgs" form:"imgs" gorm:"column:imgs;comment:关联图片;type:varchar(2000);"`
	Video      string      `json:"video" form:"video" gorm:"column:video;comment:关联视频;type:varchar(255);"`
	SiteId     uint        `json:"siteId" form:"siteId" gorm:"column:site_id;comment:站点id;type:bigint"`
	SiteName   string      `json:"siteName" form:"siteName" gorm:"column:site_name;comment:站点id;type:bigint"`
	Position   string      `json:"position" form:"position" gorm:"column:position;comment:经纬度;type:varchar(255);"`
	Matter     string      `json:"matter" form:"matter" gorm:"column:matter;comment:问题列表;type:varchar(255);"`
	SiteType   *int        `json:"siteType" form:"siteType" gorm:"column:site_type;comment:站点类型;type:int;"`
	Status     string      `json:"status" form:"status" gorm:"column:status;comment:处理状态;type:varchar(255);"`
	Region     string      `json:"region" form:"region" gorm:"column:region;comment:区域;type:varchar(255);"`
	HandImgs   string      `json:"handImgs" form:"handImgs" gorm:"column:hand_imgs;comment:处理图片;type:varchar(255);"`
	HandText   string      `json:"handText" form:"handText" gorm:"column:hand_text;comment:处理内容;type:varchar(255);"`
	Department string      `json:"department" form:"department" gorm:"column:department;comment:责任部门;type:varchar(255);"`
	Remark     string      `json:"remark" form:"remark" gorm:"column:remark;comment:问题备注;type:varchar(600);"`
	Audit      string      `json:"remark1" form:"remark1" gorm:"column:remark1;comment:审核备注;type:varchar(600);"`
	Count      *int        `json:"count" form:"count" gorm:"default:0;column:count;comment:阅读次数;type:int);"`
	Integral   *int        `json:"integral" form:"integral" gorm:"default:0;column:integral;comment:积分;type:int);"`
	UnitName   string      `json:"unitName" form:"unitName" gorm:"column:unit_name;comment:单位名称;type:varchar(255));"`
	UnitId     *int        `json:"unitId" form:"unitId" gorm:"default:0;column:unit_id;comment:单位id;type:int);"`
	MatterList interface{} `json:"matterList" gorm:"-"`
}

type ProblemInfo1 struct {
	global.GVA_MODEL
	HandAt     time.Time // 处理时间
	Oper       uint      `json:"oper" form:"oper" gorm:"column:oper;comment:发布人;type:bigint"`
	Handler    *int      `json:"handler" form:"handler" gorm:"column:handler;comment:处理人;type:bigint"`
	Imgs       string    `json:"imgs" form:"imgs" gorm:"column:imgs;comment:关联图片;type:varchar(2000);"`
	Video      string    `json:"video" form:"video" gorm:"column:video;comment:关联视频;type:varchar(255);"`
	SiteId     uint      `json:"siteId" form:"siteId" gorm:"column:site_id;comment:站点id;type:bigint"`
	SiteName   string    `json:"siteName" form:"siteName" gorm:"column:site_name;comment:站点id;type:bigint"`
	Position   string    `json:"position" form:"position" gorm:"column:position;comment:经纬度;type:varchar(255);"`
	Matter     string    `json:"matter" form:"matter" gorm:"column:matter;comment:问题列表;type:varchar(255);"`
	SiteType   string    `json:"siteType" form:"siteType" gorm:"column:site_type;comment:站点类型;type:varchar(255);"`
	Status     string    `json:"status" form:"status" gorm:"column:status;comment:处理状态;type:varchar(255);"`
	Region     string    `json:"region" form:"region" gorm:"column:region;comment:区域;type:varchar(255);"`
	HandImgs   string    `json:"handImgs" form:"handImgs" gorm:"column:hand_imgs;comment:处理图片;type:varchar(255);"`
	HandText   string    `json:"handText" form:"handText" gorm:"column:hand_text;comment:处理内容;type:varchar(255);"`
	Department string    `json:"department" form:"department" gorm:"column:department;comment:责任部门;type:varchar(255);"`
	Remark     string    `json:"remark" form:"remark" gorm:"column:remark;comment:问题备注;type:varchar(600);"`
	Audit      string    `json:"remark1" form:"remark1" gorm:"column:remark1;comment:审核备注;type:varchar(600);"`
	Count      *int      `json:"count" form:"count" gorm:"default:0;column:count;comment:阅读次数;type:int);"`
	Integral   *int      `json:"integral" form:"integral" gorm:"default:0;column:integral;comment:积分;type:int);"`
	UnitName   string    `json:"unitName" form:"unitName" gorm:"column:unit_name;comment:单位名称;type:varchar(255));"`
	UnitId     *int      `json:"unitId" form:"unitId" gorm:"default:0;column:unit_id;comment:单位id;type:int);"`
}

// TableName ProblemInfo 表名
func (ProblemInfo) TableName() string {
	return "problem_info"
}
func (ProblemInfo1) TableName() string {
	return "problem_info"
}
